Bug 1955338

Summary: Firefox is missing dependency on pciutils-libs
Product: [Fedora] Fedora Reporter: Artem S. Tashkinov <aros>
Component: firefoxAssignee: Martin Stransky <stransky>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 34CC: erack, gecko-bugs-nobody, jhorak, kai-engert-fedora, klaas, pjasicek, rhughes, rstrode, sandmann, stransky
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: firefox-105.0.2-1.fc38 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-06-14 17:16:38 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Artem S. Tashkinov 2021-04-29 21:44:01 UTC
Fedora 34 allows to install Firefox without this library however if you run Firefox this could be seen in console:

[GFX1-]: glxtest: libpci missing

pciutils-libs provides the necessary library.

Comment 1 Martin Stransky 2021-06-14 17:16:38 UTC
libpci is provided by pciutils-libs which is required by Firefox 89.0.

also rpm -q --requires firefox

gives me pciutils-libs

so it should be already there.

Comment 2 Fedora Update System 2022-10-05 12:46:36 UTC
FEDORA-2022-f0988ea008 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f0988ea008

Comment 3 Fedora Update System 2022-10-05 12:57:11 UTC
FEDORA-2022-f0988ea008 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.